/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.envisional.test;

import com.envisional.test.stuff.ResultsAggregator;
import com.envisional.test.stuff.ResultsAggregationHistoryEntry;
import com.envisional.test.stuff.Asynchronous;
import java.util.ArrayList;
import java.util.List;
import javax.ejb.Stateless;

/**
 *
 * @author adrian
 */
@Stateless
public class AggregatedResultsExporter extends ResultsExporter<ResultsAggregationHistoryEntry> {
	private ResultsAggregator resultsAggregator;

    @Override
    protected void addRows(Asynchronous a) throws Exception {
		List<ResultsAggregationHistoryEntry> stats = (List<ResultsAggregationHistoryEntry>) resultsAggregator.getMostRecentResultsAggregationHistory();
		for (ResultsAggregationHistoryEntry stat : stats) {
			List<Object> row = new ArrayList<Object>();
			row.add(stat.getResultsAggregator_SavedSearch());
			row.add(stat.getStat());
			addRow(row);
		}
	}
	
	public void setAggregator(ResultsAggregator resultsAggregator) {
		this.resultsAggregator = resultsAggregator;
	}

	@Override
	public void postProcess() throws Exception {
	}

}
